Bug 1461457 - [RFE] autopart should have a flag to specify which disks are used
[RFE] autopart should have a flag to specify which disks are used
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.4
Unspecified Unspecified
high Severity urgent
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-14 09:28 EDT by Ryan Barry
Modified: 2017-07-02 23:23 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-30 13:21:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Barry 2017-06-14 09:28:49 EDT
Description of problem:
If "autopart" is used as a kickstart parameter, the LVM volume group is spread across all disks.

On a system which has LUNs presented from shared storage, this means that the VG may be spread across 20+ disks, rather than just local disks.

Version-Release number of selected component (if applicable):
All

How reproducible:
100%

Steps to Reproduce:
1. Use 'autopart' in kickstart on a system with a large number of LUNs/disks presented
2.
3.

Actual results:
The VG is spread across all disks

Expected results:
'autopart' should have a flag which specifies that only some disks should be used, or all disks which are not multipathed

Additional info:
Comment 2 Martin Kolman 2017-06-14 10:41:46 EDT
Isn't this what the "ignoredisk" kickstart command[0] already does ?

[0] http://pykickstart.readthedocs.io/en/latest/kickstart-docs.html#id20
Comment 3 Ryan Barry 2017-06-30 13:21:08 EDT
You're right -- I missed "--onlyuse"

Tested and verified that this works.

We just need to add this to the documentation for RHV.

Ying: can we test upgrade speeds on a system with a large number of LUNs after installing with "--onlyuse sda" ?
Comment 4 Qin Yuan 2017-07-02 23:23:28 EDT
Ryan, 
QE can test upgrade speeds after installing with "--onlyuse sda". Right now, the largest local disk is about 3T in QE testing environment. We will try this disk firstly to see the upgrade speed, then we will try to find a larger disk, if possible, to test the upgrade speed.

Note You need to log in before you can comment on or make changes to this bug.